Debian Bug report logs - #699107
ITP: TorBirdy -- configures Mozilla birds for use with Tor

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jacob Appelbaum <jacob@appelbaum.net>

Date: Sun, 27 Jan 2013 17:18:02 UTC

Owned by: Jacob Appelbaum <jacob@appelbaum.net>

Severity: wishlist

Fixed in version torbirdy/0.1.2-1

Done: Jacob Appelbaum <jacob@appelbaum.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699107; Package wnpp. (Sun, 27 Jan 2013 17:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacob Appelbaum <jacob@appelbaum.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 27 Jan 2013 17:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jacob Appelbaum <jacob@appelbaum.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: TorBirdy -- configures Mozilla birds for use with Tor
Date: Sun, 27 Jan 2013 17:15:06 +0000
Package: wnpp
Severity: wishlist
Owner: Jacob Appelbaum <jacob@appelbaum.net>

* Package name    : torbirdy
  Version         : 0.0.13
  Upstream Author : Jacob Appelbaum <jacob@appelbaum.net>
* URL             : https://www.github.com/ioerror/torbirdy
* License         : BSD
  Programming Lang: javascript
  Description     : configures Mozilla birds for use with Tor

 The TorBirdy extension configures Thunderbird (or IceDove, etc) to make
 connections over the Tor anonymity network.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jacob Appelbaum <jacob@appelbaum.net>:
Bug#699107; Package wnpp. (Sun, 03 Feb 2013 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jacob Appelbaum <jacob@appelbaum.net>. (Sun, 03 Feb 2013 20:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 699107@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 699107@bugs.debian.org
Cc: pkg-mozext-maintainers@lists.alioth.debian.org
Subject: Re: Bug#699107: ITP: TorBirdy -- configures Mozilla birds for use with Tor
Date: Sun, 3 Feb 2013 20:56:23 +0100
[Message part 1 (text/plain, inline)]
Hi!

Jacob Appelbaum:
> Package: wnpp
> Severity: wishlist
> Owner: Jacob Appelbaum <jacob@appelbaum.net>
> 
> * Package name    : torbirdy
>   Version         : 0.0.13
>   Upstream Author : Jacob Appelbaum <jacob@appelbaum.net>
> * URL             : https://www.github.com/ioerror/torbirdy
> * License         : BSD
>   Programming Lang: javascript
>   Description     : configures Mozilla birds for use with Tor
> 
>  The TorBirdy extension configures Thunderbird (or IceDove, etc) to make
>  connections over the Tor anonymity network.

Is there any reasons to keep this package out of the Debian Mozilla
Extension team [1]? It usualy makes it easier when changes are required
in all Mozilla extensions at once.

I can create a Git repository for the torbirdy package and add the
extra Alioth guest accounts to the pkg-mozext project for commit rights.

[1] http://wiki.debian.org/Teams/DebianMozExtTeam

I would also be happy to sponsor the package if needed.

-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jacob Appelbaum <jacob@appelbaum.net>:
Bug#699107; Package wnpp. (Sat, 06 Apr 2013 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jacob Appelbaum <jacob@appelbaum.net>. (Sat, 06 Apr 2013 13:03:04 GMT) Full text and rfc822 format available.

Message #15 received at 699107@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Jacob Appelbaum <jacob@appelbaum.net>
Cc: pkg-mozext-maintainers@lists.alioth.debian.org, 699107@bugs.debian.org
Subject: Re: Bug#699107: ITP: TorBirdy -- configures Mozilla birds for use with Tor
Date: Sat, 06 Apr 2013 14:59:22 +0200
Hi,

Jérémy Bobbio wrote (03 Feb 2013 19:56:23 GMT) :
> Is there any reasons to keep this package out of the Debian Mozilla
> Extension team [1]? It usualy makes it easier when changes are required
> in all Mozilla extensions at once.

As explained on IRC a while ago, I do concur.

Anyhow, any news on this ITP?

Suggestions (as of 264a0a24):

  * please set Vcs-Git and Vcs-Browser in debian/control
  * you'll want to bump years in debian/copyright at some point

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699107; Package wnpp. (Mon, 24 Feb 2014 15:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacob Appelbaum <jacob@appelbaum.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 Feb 2014 15:24:04 GMT) Full text and rfc822 format available.

Message #20 received at 699107@bugs.debian.org (full text, mbox):

From: Jacob Appelbaum <jacob@appelbaum.net>
To: 699107@bugs.debian.org
Subject: Package uploaded
Date: Mon, 24 Feb 2014 15:21:27 +0000
I've uploaded a package - including the suggested VCS packaging
details - it is now in the new queue waiting for review by the Great
Debian Packaging Review Overlords:

   https://ftp-master.debian.org/new.html
   https://ftp-master.debian.org/new/torbirdy_0.1.2-1.html

I've also updated a related Tor Project bug about TorBirdy:

  https://trac.torproject.org/projects/tor/ticket/8030

Hooray!



Reply sent to Jacob Appelbaum <jacob@appelbaum.net>:
You have taken responsibility. (Tue, 04 Mar 2014 12:03:14 GMT) Full text and rfc822 format available.

Notification sent to Jacob Appelbaum <jacob@appelbaum.net>:
Bug acknowledged by developer. (Tue, 04 Mar 2014 12:03:14 GMT) Full text and rfc822 format available.

Message #25 received at 699107-close@bugs.debian.org (full text, mbox):

From: Jacob Appelbaum <jacob@appelbaum.net>
To: 699107-close@bugs.debian.org
Subject: Bug#699107: fixed in torbirdy 0.1.2-1
Date: Tue, 04 Mar 2014 12:00:07 +0000
Source: torbirdy
Source-Version: 0.1.2-1

We believe that the bug you reported is fixed in the latest version of
torbirdy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699107@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jacob Appelbaum <jacob@appelbaum.net> (supplier of updated torbirdy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 21 Feb 2014 17:43:54 +0000
Source: torbirdy
Binary: xul-ext-torbirdy
Architecture: source all
Version: 0.1.2-1
Distribution: unstable
Urgency: low
Maintainer: Jacob Appelbaum <jacob@appelbaum.net>
Changed-By: Jacob Appelbaum <jacob@appelbaum.net>
Description: 
 xul-ext-torbirdy - configures and enhances various Mozilla birds for anonymity use
Closes: 699107
Changes: 
 torbirdy (0.1.2-1) unstable; urgency=low
 .
   * Initial release. (Closes: #699107)
Checksums-Sha1: 
 9183382bd29fc7610c37442e1e73971d08459504 1668 torbirdy_0.1.2-1.dsc
 ef8444a58957ae5231930d25d489bd5ac11a6a7f 88845 torbirdy_0.1.2.orig.tar.gz
 ecea40ba8d1582783627a9d0e44905f06987d397 2160 torbirdy_0.1.2-1.debian.tar.xz
 51a317bb03ef6c756a0c88a879e2cf6a95a82fac 85408 xul-ext-torbirdy_0.1.2-1_all.deb
Checksums-Sha256: 
 3263ec07e020fd0f2e348e3d3d86db36159670a2cf1133be737adbab0dfd6433 1668 torbirdy_0.1.2-1.dsc
 2f0e097d6cb35666c80492db0d6b433ba51456a0dedfbb6473c848a7198b9fe9 88845 torbirdy_0.1.2.orig.tar.gz
 a1c49fe9ede2ef3e730d9942a6d40dff34440f3715e85042fc5e4942ee6287e4 2160 torbirdy_0.1.2-1.debian.tar.xz
 d9e19f656e22c305792cf0cd9901b054c122d1c78beef468672185ef74c8ee59 85408 xul-ext-torbirdy_0.1.2-1_all.deb
Files: 
 7c3a16694860d0a8061712057f585698 1668 web optional torbirdy_0.1.2-1.dsc
 f7e1ae9a68d5b0972210e020266e8ef1 88845 web optional torbirdy_0.1.2.orig.tar.gz
 7a3490ab5ebcf8e709568875e72bfc8d 2160 web optional torbirdy_0.1.2-1.debian.tar.xz
 c7f98fa07e0302115ee27ec3bc1ab80f 85408 web optional xul-ext-torbirdy_0.1.2-1_all.deb
-----BEGIN PGP SIGNATURE-----

iQGVAwUBUwexGVkMfZESRfeDAQgimQv+PiyQyVeX8VbyTpeuX2VEX1d4+5fajraH
XZcZchl3zmvpD+OJYHWQceugKY5TZSElnYGd7K5F4FlwlnUP3wFiCqcCdAY3Ri0/
OoaNLvN1SaufXtBnY2l8JpuRwH9YaKTMtp9pG/uqVUSYzLvSi6+KogAYtp+6779/
toGJBmJotKbN08X0uuo6AUn1b8IWJa+voR13qmrv2O5Op8GnsxTohB8uC6+py5Wv
KAI3WVkIk8AOOd2bo/pITuRiWo2stbeIP9mzxLVl6F9rHuJx2K1AvFW/7y1pSJeS
efhyJrGuPWKjRZAo/5Kgkm+vwRiSKZ97/GtDr2Gn45JmzUywLG2JfvHMNNOafOEy
dvg5tCwl9TM79B9UwzAlUKiTLAPCSaCdbtB5FUdn/Wt9Qb+Nc9Nf1P8aRDTVEZNj
3T2V230tTadQzJxXtR39CJu46ehX621iahl6AovI1iPqpXUe3Umptm1K+/rpCBZx
rlOQC/DXjNiRtJ0kF8UjSxFRko3Mj3ot
=wSIK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Apr 2014 07:26:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:05:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.